import { html as n } from "lit";
import { property as h } from "lit/decorators.js";
import { PieIconComponent as a } from "./PieIconComponent.js";
import { safeCustomElement as m } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, u = Object.getOwnPropertyDescriptor, o = (c, e, p, r) => {
  for (var t = r > 1 ? void 0 : r ? u(e, p) : e, s = c.length - 1, l; s >= 0; s--)
    (l = c[s]) && (t = (r ? l(e, p, t) : l(t)) || t);
  return r && t && f(e, p, t), t;
};
let i = class extends a {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--etherium", this.class = "c-pieIcon c-pieIcon--etherium", this.name = "IconPaymentEtherium";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 24 24" class="c-pieIcon c-pieIcon--etherium"><path fill="#353535" d="m11.999 5.263-.093.307v8.91l.093.09 4.254-2.445z"></path><path fill="#8c8c8c" d="m11.999 5.263-4.254 6.862L12 14.569V5.263"></path><path fill="#3d3d3b" d="m11.999 15.352-.053.062v3.174l.053.149 4.256-5.828z"></path><path fill="#8c8c8c" d="M11.999 18.737v-3.385L7.745 12.91z"></path><path fill="#151515" d="m11.999 14.57 4.254-2.445-4.254-1.88z"></path><path fill="#383838" d="M7.745 12.125 12 14.569v-4.324z"></path></svg>`;
  }
};
o([
  h({ type: String, reflect: !0 })
], i.prototype, "size", 2);
o([
  h({ type: String, reflect: !0 })
], i.prototype, "class", 2);
i = o([
  m("icon-payment-etherium")
], i);
export {
  i as IconPaymentEtherium
};
